Package org.codehaus.janino

# Interface Visitor.AnnotationVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

All Known Subinterfaces:
  `Visitor.ModifierVisitor<R,EX>`

Enclosing class:
  `Visitor`

public static interface Visitor.AnnotationVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.Annotation`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitMarkerAnnotation(Java.MarkerAnnotation ma)`
Invoked by `Java.MarkerAnnotation.accept(Visitor.AnnotationVisitor)`
`R`
`visitNormalAnnotation(Java.NormalAnnotation na)`
Invoked by `Java.NormalAnnotation.accept(Visitor.AnnotationVisitor)`
`R`
`visitSingleElementAnnotation(Java.SingleElementAnnotation sea)`
Invoked by `Java.SingleElementAnnotation.accept(Visitor.AnnotationVisitor)`

## Method Details

### visitMarkerAnnotation

@Nullable R visitMarkerAnnotation(Java.MarkerAnnotation ma) throws EX
Invoked by `Java.MarkerAnnotation.accept(Visitor.AnnotationVisitor)`

Throws:
  `EX`

### visitNormalAnnotation

@Nullable R visitNormalAnnotation(Java.NormalAnnotation na) throws EX
Invoked by `Java.NormalAnnotation.accept(Visitor.AnnotationVisitor)`

Throws:
  `EX`

### visitSingleElementAnnotation

@Nullable R visitSingleElementAnnotation(Java.SingleElementAnnotation sea) throws EX
Invoked by `Java.SingleElementAnnotation.accept(Visitor.AnnotationVisitor)`

Throws:
  `EX`